version 10
clear
capture log close
set more off
set memory 200m
set dp comma

* cd <Arbeitsverzeichnis>

log using Beisp_09.log, text replace

* Diese Datei: Beisp_09.do (22.05.2008)

* Beispiel 9: Durchschnittliche Arbeitsstunden (Designgewichtung) 

/* Quelle:
Schimpl-Neimanns, Bernhard: Schtzung des Stichprobenfehlers im 
Mikrozensus mit Stata - Eine Einfhrung mit Beispielen zum Campus 
File Mikrozensus 2002. GESIS-Methodenbericht 2009/02. Mannheim: GESIS
URL: http://www.gesis.org/fileadmin/upload/forschung/publikationen/
     gesis_reihen/gesis_methodenberichte/2009/gesis_mb_09_02.pdf
Diese Datei:
     http://www.gesis.org/dienstleistungen/tools-standards/mikrodaten-tools/
     sp-fehler/Stata_Beispiele.zip */


use ef1 ef3 ef32 ef141 ef504 ef505 ef708 ef712 ef750g ///
    using mz02cf_Beisp.dta, replace 

* Variablenabgenzungen analog zu Beispiel 4
gen schicht = ef1*10 + ef712 
gen f = 0.01 * 0.035  // Auswahlsatz MZ 1%, CF 3,5%
gen w = 1/f

*   westost: West-/Ostdeutschland
recode ef1 (1/11=1 "West") (*=2 "Ost"), gen(westost)
replace westost = 2 if ef708==9

* sub: Bevlkerung am Hauptwohnsitz, Erwerbsttige
gen sub = ef505<=2 & ef504==1

* ef141 Normalerw. geleist. Arbeitszeit (Std.) je Woche
recode ef141 (57=58) (60=62) (65=67) (70=72) (75=77) ///
             (80=82) (85=87) (90=93.5) (.=0), gen(y) copyrest

svyset ef3 [pw=w] , strata(schicht) fpc(f) singleunit(certainty)
svy linearized, subpop(sub) : mean y,  over(ef32 westost)

* Wald-Tests
* Arbeitszeit Mnner West = Ost ?
test ([y]_subpop_1 = [y]_subpop_2)
* Arbeitszeit Frauen West = Ost ?
test ([y]_subpop_3 = [y]_subpop_4) 

exit
